import request from '@/utils/request'

// 查询企业公示_股东及出资修改信息列表
export function listInvestment(query) {
  return request({
    url: '/basicData/xcrCompanyInvestment/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业公示_股东及出资修改信息详细
export function getInvestment(xhCodeId) {
  return request({
    url: '/basicData/xcrCompanyInvestment/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业公示_股东及出资修改信息
export function addInvestment(data) {
  return request({
    url: '/basicData/xcrCompanyInvestment',
    method: 'post',
    data: data
  })
}

// 修改企业公示_股东及出资修改信息
export function updateInvestment(data) {
  return request({
    url: '/basicData/xcrCompanyInvestment',
    method: 'put',
    data: data
  })
}

// 删除企业公示_股东及出资修改信息
export function delInvestment(xhCodeId) {
  return request({
    url: '/basicData/xcrCompanyInvestment/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInvestmentBatch(ids) {
  return request.post('/basicData/xcrCompanyInvestment/delete',ids)
}
